Subject: RE: [Bridge-mib] RFC 1473 dot1dStpPortEnable is not well specifie d

From: "Ayers, Mike" <[email-masked]>
Date: Fri, 31 Aug 2001 12:29:07 -0500

> From: Mike MacFaden [mailto:[email-masked]] 
> Sent: Thursday, August 30, 2001 11:37 PM

> So I strongly suggest the revised BRIDGE-MIB receive more than
> just and SMIv2 facelift. Some text is needed to explain what 
> the objects
> should really be doing and future mib modules should standardize what 
> the marketplace has generally implemented.

	I agree.  However, I don't think we can standardize what the
marketplace has implemented when their implementations are so far apart.

/|/|ike

_______________________________________________
Bridge-mib mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/bridge-mib

---

From: Michael MacFaden <[email-masked]>
Date: Fri, 31 Aug 2001 11:18:23 -0700

>marketplace has implemented when their implementations are so far apart.

I don't think from the data I collected they were "far apart" actually.
Can you elaborate? 

Three of the four brouters allow for STP to be turned off. The behavior
for what happens when STP is turned of is the same for all three.
dot1dStpPortEnable should be clarified as to what the relationship
with ifAdminStatus is in various configurations.
Port Membership in dot1dBasePortTable also needs to be clarified.

The ifAdminStatus behavior could easily be resolved. There really is *one* right
answer for turning ifAdminStatus to down(2) for an ifType of 6. 
Updates to RFC 2665 should clarify that behavior.

Mike MacFaden